Go to the latest version of this document.

# ``twisted`.`words`.`protocols`.`jabber`.`ijabber`.`IXMPPHandler``

interface documentation

`class IXMPPHandler(Interface): (source)`

Known implementations: `twisted.words.protocols.jabber.xmlstream.XMPPHandler`

View In Hierarchy

Interface for XMPP protocol handlers.

Objects that provide this interface can be added to a stream manager to handle of (part of) an XMPP extension protocol.

Method | `connectionInitialized` | The XML stream has been initialized.
Method | `connectionLost` | The XML stream has been closed.
Method | `connectionMade` | Called after a connection has been established.
Method | `disownHandlerParent` | Remove the parent of the handler.
Method | `makeConnection` | A connection over the underlying transport of the XML stream has been established.
Method | `setHandlerParent` | Set the parent of the handler.
Attribute | `parent` | XML stream manager for this handler
Attribute | `xmlstream` | The managed XML stream

def connectionInitialized(): (source)

The XML stream has been initialized.

At this point, authentication was successful, and XML stanzas can be exchanged over the XML stream `xmlstream`. This method can be used to setup observers for incoming stanzas.

def connectionLost(reason): (source)

The XML stream has been closed.

Subsequent use of `parent.send` will result in data being queued until a new connection has been established.

Parameters
reason:`twisted.python.failure.Failure` | Undocumented

def connectionMade(): (source)

Called after a connection has been established.

This method can be used to change properties of the XML Stream, its authenticator or the stream manager prior to stream initialization (including authentication).

def disownHandlerParent(parent): (source)

Remove the parent of the handler.

Parameters
parent:`IXMPPHandlerCollection` | Undocumented

def makeConnection(xs): (source)

A connection over the underlying transport of the XML stream has been established.

At this point, no traffic has been exchanged over the XML stream given in `xs`.

This should setup `xmlstream` and call `connectionMade`.

Parameters
xs:`twisted.words.protocols.jabber.xmlstream.XmlStream` | Undocumented

def setHandlerParent(parent): (source)

Set the parent of the handler.

Parameters
parent:`IXMPPHandlerCollection` | Undocumented

parent = (source)

XML stream manager for this handler

xmlstream = (source)

The managed XML stream